/*
 This file contains all would-be-magic-strings in the app.
 */

module.exports = {
    //MOBILE-APP CONSTANTS
    EMAIL_CHANGED: 'email_changed',
    PASSWORD_CHANGED: 'password_changed',
    LOGIN_USER_SUCCESS: 'login_user_success',
    LOGIN_USER_FAIL: 'login_user_fail',

    // Registration
    REG_EMAIL_CHANGED: 'REG_EMAIL_CHANGED',
    REG_USERNAME_CHANGED: 'REG_USERNAME_CHANGED',
    REG_PASSWORD_CHANGED: 'REG_PASSWORD_CHANGED',
    REG_IMAGEURI_CHANGED: 'REG_IMAGEURI_CHANGED',
    REG_SUCCESS: 'REG_SUCCESS',
    REG_TRY: 'REG_TRY',
    REG_ERROR: 'REG_ERROR',

    OPEN_PROFILE: 'open_profile',
    OPEN_MAIN: 'open_main',
    OPEN_BEST: 'open_best',
    OPEN_RANDOM: 'open_random',
    OPEN_NOTIFICATIONS: 'open_notifications',
    OPEN_CATEGORIES: 'open_categories',
    OPEN_SETTINGS: 'open_settings',
    OPEN_MESSAGES: 'open_messages',

    //FROM ADMIN PANEL
    // MISC
    F_POSTS_FOR_MODERATION: 'posts/for-moderation/',
    F_POSTS_FOR_MODERATION_PREMIUM: 'posts/for-moderation-premium/',
    F_USER_POSTS: 'user-posts/',
    F_APPROVED_POSTS: 'posts/approved/',
    F_ARCHIVED_POSTS: 'posts/archived/',
    F_POSTED_POSTS: 'posts/posted/',
    F_POSTED_BY_CAT_POSTS: 'posts/by-category/',
    F_USER_IMAGES: 'user-images/',
    F_IMAGES: 'images/',
    F_INTERVAL: 'interval',

    // AUTH ACTIONS
    ATTEMPTING_LOGIN: 'ATTEMPTING_LOGIN',
    LOGIN_USER: 'LOGIN_USER',
    LOGOUT: 'LOGOUT',

    // AUTH STATES
    LOGGED_IN: 'LOGGED_IN',
    ANONYMOUS: 'ANONYMOUS',
    AWAITING_AUTH_RESPONSE: 'AWAITING_AUTH_RESPONSE',

    //POST TYPES
    APPROVED_POST: 'APPROVED_POST',
    MODERATION_PRIORITY_POST: 'MODERATION_PRIORITY_POST',
    REGULAR_PRIORITY_POST: 'REGULAR_PRIORITY_POST',
    POSTED_POST: 'POSTED_POST',
    REPORTED_POST: 'REPORTED_POST',

    //POST actions
    ADD_POST: 'ADD_POST',
    FETCH_POSTS: 'FETCH_POSTS',
    APPROVE_POST: 'APPROVE_POST',
    NEW_REGULAR_POST_FOR_MODERATION: 'NEW_REGULAR_POST_FOR_MODERATION',
    NEW_PRIORITY_POST_FOR_MODERATION: 'NEW_PRIORITY_POST_FOR_MODERATION',
    NEW_APPROVED_POST: 'NEW_APPROVED_POST',
    NEW_REPORTED_POST: 'NEW_REPORTED_POST',
    NEW_ARCHIVED_POST: 'NEW_ARCHIVED_POST',
    NEW_POSTED_POST: 'NEW_POSTED_POST',
    UPLOADING_POST: 'UPLOADING_POST',
    UPLOADED_POST: 'UPLOADED_POST',
    LOADING_POSTS: 'LOADING_POSTS',

    SINGLE_POST_LOADED: 'SINGLE_POST_LOADED',

    //Comments actions
    F_USER_COMMENTS: 'user-comments/',
    F_POST_COMMENTS: 'post-comments/',

    LOADING_COMMENTS_BY_POST: 'LOADING_COMMENTS_BY_POST',
    LOADING_COMMENTS_BY_USER: 'LOADING_COMMENTS_BY_USER',
    NEW_LOADED_COMMENT: 'NEW_LOADED_COMMENT',

    COMMENT_TYPED: 'COMMENT_TYPED',
    COMMENT_SENT: 'COMMENT_SENT',

    //Categories actions
    F_CATEGORIES: 'categories',
    F_CAT_POSTS: 'posts/category/',
    A_LOAD_CATS: 'A_LOAD_CATS',
    A_CATS_LOADED: 'A_CATS_LOADED',
    A_LOAD_POSTS_BY_CAT: 'A_LOAD_POSTS_BY_CAT',
    A_POSTS_BY_CAT_LOADED: 'A_POSTS_BY_CAT_LOADED',

    // CHAT
    F_USER_CHAT_CONTACTS: 'user-chat-contacts/',
    F_USER_CHAT_MESSAGES: 'user-chat-messages/',
    LOAD_CONTACTS: 'LOAD_CONTACTS',
    CONTACTS_LOADED: 'CONTACTS_LOADED',
    LOAD_MESSAGES: 'LOAD_MESSAGES',
    MESSAGES_LOADED: 'MESSAGES_LOADED',
    CONTACT_SELECTED: 'CONTACT_SELECTED',
    CHAT_IMG_UPLOADING: 'CHAT_IMG_SENDING',
    CHAT_IMG_SUCCESS: 'CHAT_IMG_SUCCESS',
    CHAT_IMG_ERROR: 'CHAT_IMG_ERROR',
    TIME_FORMAT: 'YYYY.MM.DD HH:mm',

    // USER INFO
    F_USER_INFO: 'user-info/',
    LOAD_USER_INFO: 'LOAD_USER_INFO',
    USER_INFO_LOADED: 'USER_INFO_LOADED',
    PROFILE_PHOTO_UPDATED: 'PROFILE_PHOTO_UPDATED',
    PROFILE_UPLOADING_PHOTO: 'PROFILE_UPLOADING_PHOTO',
    LIKE: 'LIKE',
    REMOVE_LIKE: 'REMOVE_LIKE',
    NEW_NOTIFICATION: 'NEW_NOTIFICATION',
    FILTERED_CATEGORIES_LOADED: 'FILTERED_CATEGORIES_LOADED',

    F_USER_NOTIFICATIONS: 'user-notifications/',

    NEW_LIKED_PERSON: 'NEW_LIKED_PERSON'
};
